Export a simulation to a desired topology format
Simulations can be exported to supported topology formats via this endpoint. Export behavior can be controlled by providing query parameters.
Required scope: air:simulation_read (roles: air_org_admin, air_user)
Alternative: role air_trainee also grants access.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
id
A UUID string identifying this simulation.
Query parameters
image_ids
Set this flag in order to return image IDs instead of names.
include_instructions
Which client-created instructions to include. Instructions on child plugin nodes and OOB switches are never included, because you cannot import them.
NONE: Do not include instructions.REPEATABLE: Include instructions withcreated_by_clientandrun_again_on_rebuildset to true.REPEATABLE_OR_NOT_READY: Include instructions withcreated_by_clientset to true and eitherrun_again_on_rebuildset to true orstateset toNOT_READY. This option includes all instructions which would be executed if the simulation was booted without a checkpoint right now.
Allowed values:
include_services
Include services in the export.
topology_format
Desired output format.
Allowed values:
Response
TopologyFormatFullJSON
Representation of a topology in JSON format.
Errors
403
Forbidden Error
404
Not Found Error
500
Internal Server Error